package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 阶段奖项枚举
 */
@AllArgsConstructor
@Getter
public enum EBonusStage {

    /**
     * 一阶段
     */
    ONE(1, "一阶段"),
    /**
     * 二阶段
     */
    TWO(2, "二阶段"),
    /**
     * 三阶段
     */
    THREE(3, "三阶段"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;

    public static EBonusStage getEBonusStageByValue(Integer value) {
        if (null == value) {
            return null;
        }
        for (EBonusStage eBonusStage : EBonusStage.values()) {
            if (eBonusStage.getValue() == value) {
                return eBonusStage;
            }
        }
        return null;
    }

}
